Install.pl Debian fixes.

Index: smb2www/Install.pl
===================================================================
--- smb2www.orig/Install.pl	2011-02-05 16:14:38.000000000 +0100
+++ smb2www/Install.pl	2011-02-05 16:14:57.000000000 +0100
@@ -1,12 +1,15 @@
+=debian
 use POSIX;
 
 $is_root=1 if ($> == 0 );
+=cut
 
 open (VERSION, "VERSION");
 $version=<VERSION>;
 chop $version;
 close VERSION;
 
+=debian
 print <<"EOF";
 
 Welcome to the installation of SMB2WWW, release $version. 
@@ -115,15 +118,27 @@
 open OUT, ">$dir/etc/smb2www.conf" or die "unable to create file $dir/etc/smb2www.conf !\n"; 
 
 print OUT <<"EOF";
+=cut
+$fcfg='/etc/smb2www/smb2www.conf';
+print <<EOF;
+###
+### This file is read by smb2www before $fcfg
+###
+###          !!! Please do not edit !!!
+###
+### If you want to change some variables, please add relevant
+### lines to $fcfg
+###
 version       = $version
-masterbrowser = $mbrowse
+### enabled       = ### Must be set in $fcfg ###
+### masterbrowser = ### Must be set in $fcfg ###
 username      = nobody
 refresh       = 300
 cache         = max-age = 300
-bindir        = $dir/bin
-cfgdir        = $dir/etc
-imgroot       = $imgpath
-cgiroot       = $cgiroot
+bindir        = /usr/bin
+cfgdir        = /usr/share/smb2www/lang
+imgroot       = /samba-images
+cgiroot       = /cgi-bin/samba
 linkto_other  = http://samba.anu.edu.au/samba/smb2www/
 background    = cloud.gif
 icon_other    = world.gif
@@ -139,11 +154,15 @@
 icon_message  = message.gif
 link          = #7f0000
 vlink         = #4f0000
-mimetype      = $mime
-language      = $language
-key           = $key
+mimetype      = /etc/mime.types
+### language      = ### Must be set in $fcfg ###
+### key           = ### Must be set in $fcfg ###
+html_header_file  = /usr/share/smb2www/header.template
+html_trailer_file = /usr/share/smb2www/trailer.template
 EOF
 
+=debian
+
 close OUT;
 
 # All .pl files
@@ -212,3 +231,4 @@
 print "ScriptAlias $cgiroot/ $dir/cgi-bin\n";
 
 print "\nThank you for using SMB2WWW.\n\n";
+=cut
